Bug Hunting Session
Bug 98231 - EDITING: the input line is not updated if moving between cells with similar content
Summary: EDITING: the input line is not updated if moving between cells with similar c...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2016-02-27 15:01 UTC by knulp79
Modified: 2019-10-02 02:56 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
ods file that reproduces the issue and screenshot of the issue (58.86 KB, application/zip)
2016-02-27 15:01 UTC, knulp79
Details

Note You need to log in before you can comment on or make changes to this bug.
Description knulp79 2016-02-27 15:01:11 UTC
Created attachment 123041 [details]
ods file that reproduces the issue and screenshot of the issue

See attached document, which contains similar content in cells A1 and A2. The leading characters in cell A1 are the same as A2, but the latter contains extra text. If I make the input line large enough, I expect to see the content of the selected cell. If I start from A1, then move to A2 using the down arrow, I expect the input line to show the content of A2, instead it still shows the content of A1. If I move from A1 to another cell (e.g. B1), then to A2, the content of A2 is correctly shown. I assume there must be some form of optimization trick that checks the first N characters of the cell's content and decides to update the content of the input line only if they differ. Clearly, this optimization fails if the initial content is the same but then differs.
Comment 1 raal 2016-02-27 20:54:26 UTC
I can confirm with Version: 4.2.0.0.alpha1+ and Version: 5.2.0.0.alpha0+
Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-24_23:58:47
Comment 2 m.a.riosv 2016-02-28 02:54:50 UTC
Seems it happens after use the arrows to move between cells.

Opening the file and use the mouse works fine for me, if I then use an arrow the issue appears also with mouse.
Comment 3 zahra 2016-02-28 13:50:54 UTC
hi. 
i can confirm it on windows using different versions of libreoffice which i used versions 4.3 and above. 
sometimes when i want to navigate between cells, dont update and for example, when i move very fast using down arrow keys, nvda only says cell, cell, cell. 
and i should press control home from start search to find my last position.
Comment 4 Yousuf Philips (jay) (retired) 2016-09-07 05:23:10 UTC
Was able to see the bug in 3.5, where the multiline input control was added in. This should likely be a simple fix as it just requires a refresh of the input control.

@Eike, @Bubli: Any thoughts?
Comment 5 chrysn 2017-09-30 17:13:40 UTC
This behavior is (at least on 5.4.1.2.0) window width dependent: It is exposed exactly if something in the first line of the text is changed (which happens to be a valid criterion for the single-row version of the input line). As soon as the window becomes wide enough for the differences to be in the first line, the display is updated as it should be.
Comment 6 QA Administrators 2018-10-01 02:52:12 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2018-10-01 06:18:28 UTC
still repro in 

Version: 6.2.0.0.alpha0+
Build ID: 1aa37aa6bee19099b57555a6d839992b054aa405
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-23_10:17:54
Locale: ru-RU (ru_RU); Calc: threaded
Comment 8 QA Administrators 2019-10-02 02:56:46 UTC
Dear knulp79,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug